de.esprit.appsuite.nio.ascii

## Class SimpleAsciiParser<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.task.AbstractAsyncExecutable<C>
      - - de.esprit.appsuite.nio.ascii.AbstractAsciiParser<C,SimpleAsciiLine>
        - - de.esprit.appsuite.nio.ascii.SimpleAsciiParser<C>

- All Implemented Interfaces:
    ApplicationObject<C>, AsyncExecutable<C>, CancellableTask, TaskMonitorSupport, SimpleLogSupport, Dumpable, Executable, java.io.Closeable, java.lang.AutoCloseable

      public class SimpleAsciiParser<C extends ApplicationContext>
      extends AbstractAsciiParser<C,SimpleAsciiLine>

  Runs the `AbstractAsciiParser` with a `SimpleAsciiLine` and thus runs fast but without any support for break-characters and block-comments.
  Author:
    Thomas Stecher, Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.nio.ascii.AbstractAsciiParser

      `currentLine, DEFAULT_BUFF_SIZE`

    - ### Fields inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `childTaskRef, isTestMode, monitorController, resultRef, stateFlag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleAsciiParser(C ctx, java.io.File file)`
    `SimpleAsciiParser(C ctx, FileInfo fileInfo, java.io.InputStream stream)`
    `SimpleAsciiParser(C ctx, FileInfo fileInfo, java.io.InputStream stream, int buffSize)`
    `SimpleAsciiParser(C ctx, java.io.File file, int buffSize)`
    `SimpleAsciiParser(C ctx, ProgressFileInputStream progressStream)`
    `SimpleAsciiParser(C ctx, ProgressFileInputStream progressStream, int buffSize)`
    `SimpleAsciiParser(C ctx, ProgressInputStream progressStream)`
    `SimpleAsciiParser(C ctx, ProgressInputStream progressStream, int buffSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SimpleAsciiLine` | `createAsciiLine(byte[] data)` Creates the required type of `AsciiLine` for this parser.

    - ### Methods inherited from class de.esprit.appsuite.nio.ascii.AbstractAsciiParser

      `checkedByte, close, createFileInputStream, executeAsync, getCurrentToRestOfLine, getCurrentWord, getFileInfo, getLineNumber, getNextLine, getNextWord, getReadByteCount, getReadOperationCount, getRestOfLine, isEndOfLineReached, nextDouble, nextInt, nextLine, nextLong, nextShort, nextString, nextWord, openFile, performRead, setEncoding, setLineCommentChar, skipLines, skipRestOfLine, skipWords`

    - ### Methods inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `addMonitor, checkCancelled, checkForErrorAndRethrow, clearMonitors, createRunStateFlag, doOnCancel, doOnFailure, execute, executeSubTask, getError, getMaxProgressSteps, getMonitorCount, getMonitors, getName, getProgressStepCount, getResult, getRunStateFlag, getTaskId, getType, handleCancellation, handleFailure, handleFinish, handleStart, handleSuccess, hasError, hasMonitor, isCancellable, notifyProceeded, registerTaskStateChange, removeMonitor, resetProgress, setCancellable, setLogLevel, setMaxProgressSteps, setMonitor, setName, setName, setResult, setRunStateFlag, setTaskId, setType, shouldFireMonitor, sleepChecked, wasCancelled`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.launch.ApplicationObject

      `getApplicationContext`

    - ### Methods inherited from interface de.esprit.common.log.SimpleLogSupport

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

- - ### Constructor Detail

    - #### SimpleAsciiParser

          public SimpleAsciiParser(C ctx,
                           java.io.File file,
                           int buffSize)

    - #### SimpleAsciiParser

          public SimpleAsciiParser(C ctx,
                           java.io.File file)

    - #### SimpleAsciiParser

          public SimpleAsciiParser(C ctx,
                           FileInfo fileInfo,
                           java.io.InputStream stream,
                           int buffSize)

    - #### SimpleAsciiParser

          public SimpleAsciiParser(C ctx,
                           FileInfo fileInfo,
                           java.io.InputStream stream)

    - #### SimpleAsciiParser

          public SimpleAsciiParser(C ctx,
                           ProgressFileInputStream progressStream,
                           int buffSize)

    - #### SimpleAsciiParser

          public SimpleAsciiParser(C ctx,
                           ProgressFileInputStream progressStream)

    - #### SimpleAsciiParser

          public SimpleAsciiParser(C ctx,
                           ProgressInputStream progressStream,
                           int buffSize)

    - #### SimpleAsciiParser

          public SimpleAsciiParser(C ctx,
                           ProgressInputStream progressStream)

  - ### Method Detail

    - #### createAsciiLine

          protected SimpleAsciiLine createAsciiLine(byte[] data)

      Description copied from class: `AbstractAsciiParser`
      Creates the required type of `AsciiLine` for this parser.
      Specified by:
        `createAsciiLine` in class `AbstractAsciiParser<C extends ApplicationContext,SimpleAsciiLine>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.